#pragma once
#include "afxcmn.h"
#include "TypeDefine.h"


// CTsDlg 对话框

class CTsDlg : public CDialog
{
	DECLARE_DYNAMIC(CTsDlg)

public:
	CTsDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CTsDlg();

// 对话框数据
	enum { IDD = IDD_DLG_TS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

public:
	UINT m_uiCardNumber;
	UINT m_uiTsMuxRate, m_uiEncodeBitRate;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonTsencoderConfig();
	afx_msg void OnBnClickedCheckTsStreamMonitor();
	afx_msg void OnBnClickedCheckTsPlaybackSwitch();
	afx_msg void OnBnClickedCheckTsCaptureSwitch();
	afx_msg void OnHdnItemdblclickListTsServiceTable(NMHDR *pNMHDR, LRESULT *pResult);
public:
	virtual BOOL OnInitDialog();
	CListCtrl m_TsListCtrlTsServiceTable;
	afx_msg void OnTimer(UINT nIDEvent);
private:
	TS_PROGRAM_INFO m_TsProgramInfo;
	NIT_NETWORKINFO m_nitWorkInfo;
	INT m_nTsSearchProgramStatus;
	INT m_TsNitSearchStatus;
	BOOL m_bTunerStatus;
	UINT m_uiTsId;
	BOOL m_bUdpCapture;
public:
	afx_msg void OnBnClickedButtonStartudp();
	afx_msg void OnBnClickedRadioInputAsi();
	afx_msg void OnBnClickedRadioInputIp();
	afx_msg void OnBnClickedCheckIpSend();
	afx_msg void OnBnClickedButton1();
};
